Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/ucspi-ssl: New aport

From: Jesse Young <jlyo_at_jlyo.org>
Date: Sun, 26 Jul 2015 21:08:06 +0000

---
 .../ucspi-ssl/0001-Add-missing-make-targets.patch  | 41 +++++++++++++
 testing/ucspi-ssl/APKBUILD                         | 70 ++++++++++++++++++++++
 2 files changed, 111 insertions(+)
 create mode 100644 testing/ucspi-ssl/0001-Add-missing-make-targets.patch
 create mode 100644 testing/ucspi-ssl/APKBUILD
diff --git a/testing/ucspi-ssl/0001-Add-missing-make-targets.patch b/testing/ucspi-ssl/0001-Add-missing-make-targets.patch
new file mode 100644
index 0000000..8c36dab
--- /dev/null
+++ b/testing/ucspi-ssl/0001-Add-missing-make-targets.patch
_at_@ -0,0 +1,41 @@
+From a4f0a53cab0caa35607a85378bc687468eaec466 Mon Sep 17 00:00:00 2001
+From: Jesse Young <jlyo_at_jlyo.org>
+Date: Fri, 24 Jul 2015 16:11:59 +0000
+Subject: [PATCH] Add missing make targets
+
+---
+ host/superscript.com/net/ucspi-ssl-0.95b/src/Makefile | 11 +++++++++++
+ 1 file changed, 11 insertions(+)
+
+diff --git a/host/superscript.com/net/ucspi-ssl-0.95b/src/Makefile b/host/superscript.com/net/ucspi-ssl-0.95b/src/Makefile
+index 452586c..089b1ff 100755
+--- a/host/superscript.com/net/ucspi-ssl-0.95b/src/Makefile
++++ b/host/superscript.com/net/ucspi-ssl-0.95b/src/Makefile
+_at_@ -454,6 +454,12 @@ compile remoteinfo.c buffer.h error.h fmt.h gen_alloc.h iopause.h \
+ remoteinfo.h socket.h stralloc.h tai.h taia.h timeoutconn.h uint16.h uint64.h
+ 	./compile remoteinfo.c
+ 
++remoteinfo6.o: \
++compile remoteinfo6.c buffer.h error.h fmt.h gen_alloc.h iopause.h \
++remoteinfo.h socket.h stralloc.h tai.h taia.h timeoutconn.h uint16.h uint32.h \
++uint64.h
++	./compile remoteinfo6.c
++
+ rules.o: \
+ compile rules.c alloc.h cdb.h gen_alloc.h ip4_bit.h open.h rules.h \
+ str.h stralloc.h uint32.h
+_at_@ -881,6 +887,11 @@ compile timeoutconn.c error.h iopause.h ndelay.h socket.h tai.h \
+ taia.h timeoutconn.h uint16.h uint64.h
+ 	./compile timeoutconn.c
+ 
++timeoutconn6.o: \
++compile timeoutconn6.c error.h iopause.h ndelay.h socket.h \
++tai.h taia.h timeoutconn.h uint16.h uint32.h uint64.h
++	./compile timeoutconn6.c
++
+ ucspissl.a: \
+ makelib  ssl_ca.o ssl_cca.o ssl_certkey.o ssl_chainfile.o ssl_ciphers.o \
+ ssl_context.o ssl_env.o ssl_error.o ssl_io.o ssl_new.o ssl_params.o ssl_timeoutaccept.o \
+-- 
+2.4.6
+
diff --git a/testing/ucspi-ssl/APKBUILD b/testing/ucspi-ssl/APKBUILD
new file mode 100644
index 0000000..6c87c7b
--- /dev/null
+++ b/testing/ucspi-ssl/APKBUILD
_at_@ -0,0 +1,70 @@
+# Contributor: Jesse Young <jlyo_at_jlyo.org>
+# Maintainer:
+pkgname=ucspi-ssl
+pkgver=0.95b
+pkgrel=0
+pkgdesc="Command-line tools for building SSL client-server applications"
+url="http://www.fehcom.de/ipnet/ucspi-ssl.html"
+arch="all"
+license="public-domain"
+depends=""
+depends_dev=""
+makedepends="$depends_dev openssl-dev"
+install=""
+#subpackages="$pkgname-doc"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://www.fehcom.de/ipnet/${pkgname}/${pkgname}-${pkgver}.tgz
+	0001-Add-missing-make-targets.patch"
+
+_builddir="${srcdir}/host/superscript.com/net/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$srcdir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "${_builddir}/src"
+
+	echo "${CC:-"gcc"} ${CFLAGS}" > conf-cc
+	echo "${CC:-"gcc"} ${LDFLAGS}" > conf-ld
+	echo "/usr" > home
+
+	make || return 1
+}
+
+package() {
+	local f
+	cd "$_builddir"
+	mkdir -p "$pkgdir"/usr/bin
+	for f in $(cat package/commands-base); do
+		cp "src/${f}" "${pkgdir}/usr/bin/${f}"
+	done
+
+	for f in $(cd man && echo *.[0-9] ); do
+		mkdir -p "${pkgdir}/usr/share/man/man${f##*[a-zA-Z.]}"
+		cp "man/${f}" "${pkgdir}/usr/share/man/man${f##*[a-zA-Z.]}/${f}"
+	done
+}
+
+dev() {
+	default_dev
+	cd "$_builddir"
+
+	mkdir -p "${subpkgdir}/usr/include/${pkgname}"
+	mkdir -p "${subpkgdir}/usr/lib/${pkgname}"
+	install -m644 "src/ucspissl.a" "${subpkgdir}/usr/lib/${pkgname}/ucspissl.a"
+	install -m644 "src/ucspissl.h" "${subpkgdir}/usr/include/${pkgname}/ucspissl.h"
+	install -m644 "src/ssl.lib" "${subpkgdir}/usr/lib/${pkgname}/ssl.lib"
+}
+
+md5sums="a9fd37da2dd68861a3ff6bb9f1589364  ucspi-ssl-0.95b.tgz
+f98c590f3dbde7d616d9909bf3fc044b  0001-Add-missing-make-targets.patch"
+sha256sums="9f3bcf66546b433b089f6f340d243065beb801b97d4026e54dd586f0022b5f1e  ucspi-ssl-0.95b.tgz
+10964e922af5f2cadb4712091ff389ad33270e834658a711e8f912df4dd822e9  0001-Add-missing-make-targets.patch"
+sha512sums="686bd4a1e4b9d560b381eb78193351114ef4135638296b9287db2fa168ba223412fb377aebbcbaa01a084bcc32455e69787ca3478bea248fed68dc5b882d8861  ucspi-ssl-0.95b.tgz
+dba8942c9e047b7d077a4561e6ca929ed9962250c6f8dd15c1bd3a4dfceb73a54a76963b7c3b4b63afc105bc208f06f602f4049515f176dc33fc2478f6acdc42  0001-Add-missing-make-targets.patch"
-- 
2.4.6
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jul 26 2015 - 21:08:06 GMT